## API Report File for "@fluentui/react-toolbar"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

/// <reference types="react" />

import { ButtonProps } from '@fluentui/react-button';
import { ButtonSlots } from '@fluentui/react-button';
import { ButtonState } from '@fluentui/react-button';
import type { ComponentProps } from '@fluentui/react-utilities';
import type { ComponentState } from '@fluentui/react-utilities';
import { DividerSlots } from '@fluentui/react-divider';
import { DividerState } from '@fluentui/react-divider';
import type { ForwardRefComponent } from '@fluentui/react-utilities';
import { RadioGroupProps } from '@fluentui/react-radio';
import { RadioGroupState } from '@fluentui/react-radio';
import { RadioProps } from '@fluentui/react-radio';
import { RadioState } from '@fluentui/react-radio';
import * as React_2 from 'react';
import type { Slot } from '@fluentui/react-utilities';
import { SlotClassNames } from '@fluentui/react-utilities';
import { ToggleButtonProps } from '@fluentui/react-button';
import { ToggleButtonState } from '@fluentui/react-button';

// @public (undocumented)
export type RadioGroupContextValue = Pick<RadioGroupProps, 'name' | 'value' | 'defaultValue' | 'disabled' | 'layout' | 'required'>;

// @public (undocumented)
export type RadioGroupContextValues = {
    radioGroup: RadioGroupContextValue;
};

// @public
export const renderToolbar_unstable: (state: ToolbarState, contextValues: ToolbarContextValues) => JSX.Element;

// @public
export const Toolbar: ForwardRefComponent<ToolbarProps>;

// @public
export const ToolbarButton: ForwardRefComponent<ToolbarButtonProps>;

// @public
export type ToolbarButtonProps = ComponentProps<ButtonSlots> & Partial<Pick<ButtonProps, 'disabled' | 'disabledFocusable'>> & {
    appearance?: 'primary' | 'subtle';
};

// @public
export type ToolbarButtonState = ComponentState<Partial<ButtonSlots>> & ButtonState;

// @public (undocumented)
export const toolbarClassNames: SlotClassNames<ToolbarSlots>;

// @public (undocumented)
export type ToolbarContextValue = Pick<ToolbarProps, 'size'> & {
    handleToggleButton?: ToggableHandler;
};

// @public (undocumented)
export type ToolbarContextValues = {
    toolbar: ToolbarContextValue;
};

// @public
export const ToolbarDivider: ForwardRefComponent<ToolbarDividerProps>;

// @public
export type ToolbarDividerProps = ComponentProps<Partial<DividerSlots>>;

// @public
export type ToolbarDividerState = ComponentState<Partial<DividerSlots>> & DividerState;

// @public
export type ToolbarProps = ComponentProps<ToolbarSlots> & {
    size?: 'small' | 'medium';
    checkedValues?: Record<string, string[]>;
    defaultCheckedValues?: Record<string, string[]>;
    onCheckedValueChange?: (e: ToolbarCheckedValueChangeEvent, data: ToolbarCheckedValueChangeData) => void;
};

// @public
export const ToolbarRadio: ForwardRefComponent<ToolbarRadioProps>;

// @public
export const ToolbarRadioGroup: ForwardRefComponent<ToolbarRadioGroupProps>;

// @public
export type ToolbarRadioGroupProps = RadioGroupProps;

// @public
export type ToolbarRadioGroupState = RadioGroupState;

// @public
export type ToolbarRadioProps = RadioProps & {
    size?: 'small' | 'medium';
};

// @public
export type ToolbarRadioState = RadioState & {
    size?: 'small' | 'medium';
};

// @public (undocumented)
export type ToolbarSlots = {
    root: Slot<'div'>;
};

// @public
export type ToolbarState = ComponentState<ToolbarSlots> & Required<Pick<ToolbarProps, 'size' | 'checkedValues'>> & Pick<ToolbarProps, 'defaultCheckedValues' | 'onCheckedValueChange'> & {
    handleToggleButton: ToggableHandler;
};

// @public
export const ToolbarToggleButton: ForwardRefComponent<ToolbarToggleButtonProps>;

// @public
export type ToolbarToggleButtonProps = ComponentProps<ButtonSlots> & Partial<Pick<ToggleButtonProps, 'disabled' | 'disabledFocusable' | 'size'>> & {
    appearance?: 'primary' | 'subtle';
};

// @public
export type ToolbarToggleButtonState = ComponentState<Partial<ButtonSlots>> & ToggleButtonState & Required<Pick<ToggleButtonProps, 'checked'>> & {
    name?: string;
    value?: string;
};

// @public
export const useToolbar_unstable: (props: ToolbarProps, ref: React_2.Ref<HTMLElement>) => ToolbarState;

// @public
export const useToolbarDividerStyles_unstable: (state: ToolbarDividerState) => ToolbarDividerState;

// @public
export const useToolbarStyles_unstable: (state: ToolbarState) => ToolbarState;

// (No @packageDocumentation comment for this package)

```
